#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0x76,0x56,0xD4,0x49,0x44,0xC4,0x85,0xC5,0x19,0xA6,0x15,
		0x61,0x79,0x23,0x5D,0x2A,0x48,0xE5,0xB1,0x5C,0xE8,0xBE,0xC7,
		0x6D,0x3A,0xDF,0x9A,0x39,0x3A,0x19,0xD0,0x35,0xE6,0x77,0x26,
		0x3C,0xE4,0xC6,0x20,0xC8,0x2A,0xD9,0xAE,0x1D,0xD4,0x04,0x21,
		0xD4,0xCC,0x85,0xDD,0x8C,0xE9,0x06,0xB6,0x43,0x57,0xBD,0xA4,
		0x83,0x63,0xAD,0xF7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
